class AddDateAvailable < ActiveRecord::Migration
  def self.up
    add_column(:products, :date_available, :datetime, :null => false)
    Product.reset_column_information
    Product.update_all(["date_available = ?", Time.now])
  end

  def self.down
    remove_column(:products, :date_available)
  end
end
