class CreateLineItems < ActiveRecord::Migration
  def self.up
    create_table(:line_items) do |t|
      t.column(:product_id, :integer, :null => false)
      t.column(:quantity, :integer, :null => false, :default => 0)
    end
    execute("alter table line_items add unit_price decimal(10,2) not null")
  end

  def self.down
    drop_table(:line_items)
  end
end
