class CreateProducts < ActiveRecord::Migration
  def self.up
    create_table "products", :force => true do |t|
      t.column "title", :string, :limit => 100, :default => "", :null => false
      t.column "description", :text, :default => "", :null => false
      t.column "image_url", :string, :limit => 200, :default => "", :null => false
      t.column "price", :float, :limit => 10, :default => 0.0, :null => false
    end
  end

  def self.down
    drop_table(:products)
  end
end
