class CreateOrder < ActiveRecord::Migration
  def self.up
    create_table(:orders) do |t|
      t.column(:name, :string, :limit => 100, :null => false)
      t.column(:email, :string, :limit => 255, :null => false)
      t.column(:address, :text, :null => false)
      t.column(:pay_type, :string, :limit => 10, :null => false)
    end
    add_column(:line_items, :order_id, :integer, :null => false)
  end

  def self.down
    remove_column(:line_items, :order_id)
    drop_table(:orders)
  end
end
